package com.trade.admin.system.service;

import com.trade.admin.system.domain.entity.SysUser;

/**
 * @description: 密码服务类
 * @Author: wanglang
 * @Date: 2023/7/27 10:59
 * @Version: 1.0
 */
public interface ISysPasswordService {

    void validate(SysUser user);

    boolean matches(SysUser user, String rawPassword);

    void clearLoginRecordCache(String loginName);
}
